"use strict";
//导入其他js 模块
import Utils from "./public/utils";
import UI from "./public/ui";
import './public/common'; //必调 utm_source 存cookie
import BoqiiAuth from "./libs/auth"

//引入css 样式
require("../styles/Public/normalize.css");
require("../styles/UI/ui.css");
require("../styles/index.css");


import $ from "zepto";

//==================== 测试微信分享

import wx_config from './libs/wx_share';

let share_title,imgUrl,share_desc,link;
share_title = '新用户专享，首单立减10元';
share_desc='正品特价贴心服务，豪礼相送优惠不停，赶快领取吧~';
imgUrl = 'http://7xq22v.com2.z0.glb.clouddn.com/boqii20160804tou2.jpg';

wx_config(
	location.href,
	{ title:share_title, link:'',imgUrl:imgUrl,desc:share_desc },
	function(){ alert('分享成功') },
	function(){ alert('分享失败') }
)

// ==================== 测试APP分享

import shareInAPP from './libs/app_share';
shareInAPP( share_title, share_desc,imgUrl );

window.shareResults = function (id, ifs, channel){
    if(ifs==1){
      alert('分享成功');
    }else{
      alert('分享失败');
    }
  }

 if(Utils.isDevelopment()){
  window.API_BASE = "http://api-dev.boqii.com/api/v1.1"; //开发环境
  window.VETAPI = 'http://mtest.boqii.com/vetapi.php';
}
else{
    window.API_BASE = 'http://api.boqii.com/v1.1';  //生产环境
    window.VETAPI = 'http://m.boqii.com/vetapi.php';
}
window.auth = new BoqiiAuth();

//判断活动时间
// let checkTime = () => {
//   let now = new Date().getTime();
//   let beginTime = new Date('2017/01/01 00:00:00').getTime();
//   let endTime = new Date('2017/12/31 23:59:59').getTime();
//   if(now>=beginTime && now <= endTime)
//     return 2;//活动开始
//   else if(now<beginTime)
//     return 1;//活动未开始
//   else
//     return 0//活动已结束
// }
let source,device,UserId;
source = Utils.GetQueryString("source");
if(source && source=="h5"){
  device = "h5";
}else{
  device = "app";
}

if(device == "h5"){
  if(!localStorage.hasUserId){
    let domain = '.boqii.com';
    localStorage.UserId = "";
    Utils.storageInfo('cookie').set( "vUserId", "", undefined, "/", domain );
  }
}
//let time = checkTime();
$(".quan").tap(function(){
  // if(time==1){
  //   UI.tips("活动暂未开始，请耐心等待")
  // }else if(time==0){
  //   UI.tips("活动已结束");
  // }else{
    if(device == "h5"){
      UserId = Utils.storageInfo('cookie').get( "vUserId") || localStorage.UserId;
    }else{
      UserId = decodeURIComponent(Utils.GetQueryString("UserId"));
    }

    if(!UserId){
      UI.register_layer();
    }else{
      $(".mask,.fail").show();
    }
  //}
})

$(document).on("blur",".register #UserName",()=>{
   let mobile= $('.register #UserName').val();
  if(mobile == ""){
      UI.tips('请输入手机号');  
    }else if(!Utils.regExp.isMobil(mobile)){
      UI.tips("请输入正确手机号")
    }else{
      $.ajax({
             type:"post",
             url:VETAPI,
             data:{'Act':'CheckMobileIsBoqiiUserForApp','Mobile':mobile},
             success:function(data){
               data = JSON.parse(data);
               if(data.ResponseStatus==0){
                UI.tips('该手机号已注册，请登录');
                UI.login_layer();
                $('.pupWindow.reg').remove();
               }
            }
        });
    }
  
})
//阻止事件滑动
let stopScroll = (event) => {
    event.preventDefault();
}
let stop = () => {
    if($(".mask").css("display") == "block"){
        $(window).on("touchmove",stopScroll);
    }else{
        $(window).off("touchmove",stopScroll);
    }
}
$(".mask").tap(function(){
  $(".mask,.alert").hide();
})


$(".alert-footer").on("tap",function(){
  if(device=="h5"){
    if(Utils.isDevelopment()){
      window.location.href = "http://vtest.boqii.com";
    }else{
      window.location.href = "http://v.boqii.com";
    }
  }else{
    if( Utils.Device() === 'IOS' ){ //IOS
      var apiurl = "boqii://IndexViewController";
      window.location.href=apiurl;

    }else{ //ANDROID
      var param = 'INDEX=2';
      Boqii.Jump("com.boqii.petlifehouse.activities.MainShoppingO2OActivity", param);
    }
  }
})