import $ from 'zepto';
import Utils from '../public/utils.js';

require("../../styles/Public/common.css");

let appdownstr = `<div class="download_layer">
				      <div class="download_layer_container">
				        <img src="http://7xq22v.com2.z0.glb.qiniucdn.com/boqii_logo.png" alt="">
				        <p class="download_layer-title">单满39元送39元</p>
				        <button class="download_btn">立刻下载</button>
				        <a href="javascript:;" class="download_layer_closebar"></a>
				      </div>
				    </div>
				`;

$('body').append(appdownstr);

// app 下载提示
$(document).on('tap','.download_btn',function(){

	let utm_source = Utils.GetQueryString( 'utm_source' );
	let url = "";
	if ( Utils.Device() == "IOS" ) {
		window.location.href = 'https://itunes.apple.com/cn/app/bo-qi-chong-wu/id883476363';
	} else if ( Utils.Device() == "ANDROID" ) {

		if( Utils.isWeiXin() ){ // 微信打开
			$('.wx_download_tip').show();
			$('.wx_download_tip').find('img').prop('src',wx_image);

		}else{
			var cpsUtmSource = ['sogouwap-ppc','sm-ppc','360wap-ppc','baiduwap-ppc'];

			cpsUtmSource.forEach(function(source){
				if( utm_source.indexOf(source) != -1 ){
					utm_source = source;
				}
			});

			if( utm_source ){ // 有渠道号
				url = 'http://a.boqiicdn.com/App/boqii_' + Utils.getChannel() + '_' + utm_source + '.apk';
			}else{
				url = 'http://a.boqiicdn.com/App/boqii_' + Utils.getChannel() + '.apk';
			}
			window.location.href = url;
		}

	}

});

$('.wx_download_tip').tap(function(){
	$(this).hide();
});

// 关闭下载浮层
$(document).on('tap','.download_layer_closebar',function(){
	$('.download_layer').hide();
	$('body').css({
		'padding-bottom':0
	})
});