import $ from "zepto";
import { getShopApi } from '../libs/config';
require('./userLogic.js');

let UI = (function(){
  //提示层
  var tips = (message,dismiss=true,dismisstime=1000)=>{
    let msg = '<div class="tips">'
            +		'<div class="tipscon">'
            +			message
            +		'</div>'
            +	'</div>';
    $("body").append(msg);

    if( dismiss ){
      setTimeout(()=>{
          $(".tips").remove();
      },dismisstime);
    }

  }
  //登陆层
  var login_layer = ()=>{
    let str = "<section class='pupWindow log'><div class='login' id='login'>"+
                "<div class='top'>"+
                "<a href='javascript:;' class='back'><img src='http://s.boqii.com/static/images/boqiishop20150721/shutUp.png' alt=''></a>"+
                "<a href='javascript:;' class='register loginRegister'>注册</a>"+
                "<h2>波奇用户登录</h2>"+
                "</div>"+
                "<div class='inputs'>"+
                "<input  style='background: url("+"http://s.boqii.com/static/images/boqiishop20150721/phoneNum.png"+") no-repeat;'type='text' placeholder='手机号/邮箱/用户名' name='UserName' id='UserName'/>"+
                "<input style='background: url("+"http://s.boqii.com/static/images/boqiishop20150721/inputBg02.png)"+" no-repeat;' type='password' placeholder='密码' name='Password' id='Password'/>"+
                "<em class='isSee'><img src='http://s.boqii.com/static/images/boqiishop20150721/eye.png' alt=''></em>"+
                "</div>"+
                "<a href='javascript:;' class='loginBtn' id='loginBtn'>登 录</a>"+
                "<p><a  class='forget'>忘记密码？</a></p>"+
              "</div></section>";
      $("body").append(str);

  };
  //注册层
  var register_layer = ()=>{
    let str = "<section class='pupWindow reg'><div class='login register' id='register'>"+
                "<div class='top'>"+
                "<a href='javascript:;' class='back'><img src='http://s.boqii.com/static/images/boqiishop20150721/shutUp.png' alt=''></a>"+
                "<a href='javascript:;' class='register registerLogin'>登录</a>"+
                "<h2>波奇用户注册</h2>"+
                "</div>"+
                "<div class='inputs'>"+
                "<input style='background: url("+"http://s.boqii.com/static/images/boqiishop20150721/phoneNum.png)"+" no-repeat;'type='tel' placeholder='手机号' value='' name='UserName' id='UserName' />"+
                "<input style='background: url("+"http://s.boqii.com/static/images/boqiishop20150721/inputBg02.png)"+" no-repeat;' type='password' placeholder='6-20位，建议数字、字母...' name='Password' id='Password'/>"+
                "<em class='isSee'><img src='http://s.boqii.com/static/images/boqiishop20150721/eye.png' alt=''></em>"+
                "</div>"+
                "<div class='yanzheng clearfix'>"+
                "<input type='text' placeholder='图形验证码' id='t_yzm' name='t_yzm' class='t_yzm'><img src='"+`${getShopApi()}`+"/vetapi.php?Act=getVetImg'id='yanzheng_imgs1' class='yanzheng_imgs'>"+
                "</div>"+
                "<div class='yzmWrap clearfix'>"+
                "<input type='text' placeholder='输入验证码' id='yzm' name='yzm'><a href='javascript:;' class='getYzm'>获取验证码</a>"+
                "</div>"+
                "<a href='javascript:;' class='loginBtn registerBtn' id='registerBtn'>注 册</a>"+
                "<p class='agree'><span class='current'>我已阅读并同意</span><a href='http://s.boqii.com/agreement.html'>《波奇网服务协议》</a></p>"+
              "</div></section>";
      $("body").append(str);
  }
  //绑定手机层
  var bind_layer = ()=>{
    let str = "<section class='pupWindow'><div class='login register' id='bind'>"+
                "<div class='top'>"+
                "<a href='javascript:;' class='back'><img src='http://s.boqii.com/static/images/boqiishop20150721/shutUp.png' alt=''></a>"+
                "<!--<a href='javascript:;' class='register registerLogin'>登录</a>-->"+
                "<h2>绑定手机号</h2>"+
                "</div>"+
                "<div class='inputs'>"+
                "<input style='background: url("+"http://s.boqii.com/static/images/boqiishop20150721/phoneNum.png)"+" no-repeat;'type='tel'class='tel' placeholder='手机号' name='UserName' />"+
                "<!--<em class='isSee'><img src='http://s.boqii.com/static/images/boqiishop20150721/eye.png' alt=''></em>-->"+
                "</div>"+
                "<div class='yanzheng clearfix'>"+
                "<input type='text' placeholder='图形验证码' name='t_yzm' class='t_yzm'><img src='"+`${getShopApi()}`+"/vetapi.php?Act=getVetImg'id='yanzheng_imgs2' class='yanzheng_imgs'>"+
                "</div>"+
                "<div class='yzmWrap clearfix'>"+
                "<input type='text' placeholder='输入验证码' name='yzm'><a href='javascript:;' class='getYzm'>获取验证码</a>"+
                "</div>"+
                "<a href='javascript:;' class='loginBtn registerBtn' id='bindBtn'>完成绑定</a>"+
              "</div></section>";
    $("body").append(str);
  }

  return {
    tips,
    login_layer,
    register_layer,
    bind_layer
  }

})(window);

export default UI;
