/*
 * H5 页面 在app里面分享
 */
import Utils from '../public/utils';

let device="app";
let source = Utils.GetQueryString("source");
if(source && source=="h5"){
	device = "h5"
}else{
	device = "app";
}

/*
 * @param title 分享标题
 * @param content 分享描述
 * @param image 分享头图 
 */
function shareInAPP(title, content, image) {
  if(device == 'app') {
    if (Utils.Device()=="IOS") {
      var t = document.createElement('input');
      t.style.display = 'none';
      t.value = title;
      t.id = 'shareTitle';
      var c = document.createElement('input');
      c.style.display = 'none';
      c.value = content;
      c.id = 'shareContent';
      var i = document.createElement('input');
      i.style.display = 'none';
      i.value = image;
      i.id = 'shareImage';
      document.body.appendChild(t);
      document.body.appendChild(c);
      document.body.appendChild(i);
    }else if (Utils.Device()=="ANDROID") {
      if(typeof(Boqii) != 'undefined') {
        try{
          Boqii.setParams(title, content, image)
        }catch (e){
          //todo
        }
      }
    }
  }
}

export default shareInAPP;